GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
gdcm::FileMetaInformation Class Reference

Class to represent a File Meta Information. More...

`#include <gdcmFileMetaInformation.h>`

Inheritance diagram for gdcm::FileMetaInformation:
[legend]
Collaboration diagram for gdcm::FileMetaInformation:
[legend]

## Public Member Functions

| FileMetaInformation ()
| FileMetaInformation (FileMetaInformation const &fmi)
| ~FileMetaInformation ()
void | FillFromDataSet (DataSet const &ds)
| Construct a FileMetaInformation from an already existing DataSet:
const TransferSyntax & | GetDataSetTransferSyntax () const
VL | GetFullLength () const
MediaStorage | GetMediaStorage () const
TransferSyntax::NegociatedType | GetMetaInformationTS () const
const Preamble & | GetPreamble () const
| Get Preamble.
Preamble & | GetPreamble ()
void | Insert (const DataElement &de)
bool | IsValid () const
std::istream & | Read (std::istream &is)
| Read.
std::istream & | ReadCompat (std::istream &is)
void | Replace (const DataElement &de)
void | SetDataSetTransferSyntax (const TransferSyntax &ts)
void | SetPreamble (const Preamble &p)
std::ostream & | Write (std::ostream &os) const
| Write.
Public Member Functions inherited from gdcm::DataSet
ConstIterator | Begin () const
Iterator | Begin ()
void | Clear ()
template<typename TDE >
unsigned int | ComputeGroupLength (Tag const &tag) const
ConstIterator | End () const
Iterator | End ()
bool | FindDataElement (const PrivateTag &t) const
| Look up if private tag 't' is present in the dataset:
bool | FindDataElement (const Tag &t) const
const DataElement & | FindNextDataElement (const Tag &t) const
const DataElement & | GetDataElement (const Tag &t) const
const DataElement & | GetDataElement (const PrivateTag &t) const
| Return the dataelement.
const DataElementSet & | GetDES () const
DataElementSet & | GetDES ()
template<typename TDE >
VL | GetLength () const
std::string | GetPrivateCreator (const Tag &t) const
| Return the private creator of the private tag 't':
void | Insert (const DataElement &de)
bool | IsEmpty () const
| Returns if the dataset is empty.
const DataElement & | operator() (uint16_t group, uint16_t element) const
DataSet & | operator= (DataSet const &val)
const DataElement & | operator[] (const Tag &t) const
void | Print (std::ostream &os, std::string const &indent="") const
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadNested (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadSelectedTags (std::istream &is, const std::set< Tag > &tags)
template<typename TDE , typename TSwap >
std::istream & | ReadSelectedTagsWithLength (std::istream &is, const std::set< Tag > &tags, VL &length)
template<typename TDE , typename TSwap >
std::istream & | ReadUpToTag (std::istream &is, const Tag &t, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadUpToTagWithLength (std::istream &is, const Tag &t, VL &length)
template<typename TDE , typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)
SizeType | Remove (const Tag &tag)
| Completely remove a dataelement from the dataset.
void | Replace (const DataElement &de)
| Replace a dataelement with another one.
void | ReplaceEmpty (const DataElement &de)
| Only replace a DICOM attribute when it is missing or empty.
SizeType | Size () const
template<typename TDE , typename TSwap >
std::ostream const & | Write (std::ostream &os) const

## Static Public Member Functions

static void | AppendImplementationClassUID (const char *imp)
static const char * | GetImplementationClassUID ()
static const char * | GetImplementationVersionName ()
static const char * | GetSourceApplicationEntityTitle ()
static void | SetImplementationClassUID (const char *imp)
| Override the GDCM default values:
static void | SetImplementationVersionName (const char *version)
static void | SetSourceApplicationEntityTitle (const char *title)

## Protected Member Functions

void | ComputeDataSetMediaStorageSOPClass ()
void | ComputeDataSetTransferSyntax ()
void | Default ()
template<typename TSwap >
std::istream & | ReadCompatInternal (std::istream &is)
Protected Member Functions inherited from gdcm::DataSet
Tag | ComputeDataElement (const PrivateTag &t) const
const DataElement & | GetDEEnd () const
void | InsertDataElement (const DataElement &de)

## Static Protected Member Functions

static const char * | GetFileMetaInformationVersion ()
static const char * | GetGDCMImplementationClassUID ()
static const char * | GetGDCMImplementationVersionName ()
static const char * | GetGDCMSourceApplicationEntityTitle ()

## Protected Attributes

MediaStorage::MSType | DataSetMS
TransferSyntax | DataSetTS
TransferSyntax::NegociatedType | MetaInformationTS

## Friends

std::ostream & | operator<< (std::ostream &_os, const FileMetaInformation &_val)

## Additional Inherited Members

Public Types inherited from gdcm::DataSet
typedef DataElementSet::const_iterator | ConstIterator
typedef std::set< DataElement > | DataElementSet
typedef DataElementSet::iterator | Iterator
typedef DataElementSet::size_type | SizeType

## Detailed Description

Class to represent a File Meta Information.

FileMetaInformation is a Explicit Structured Set. Whenever the file contains an ImplicitDataElement DataSet, a conversion will take place.

Definition: The File Meta Information includes identifying information on the encapsulated Data Set. This header consists of a 128 byte File Preamble, followed by a 4 byte DICOM prefix, followed by the File Meta Elements shown in Table 7.1-1. This header shall be present in every DICOM file.

See Also
  Writer Reader

Examples:
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, LargeVRDSExplicit.cxx, and ReadAndDumpDICOMDIR.cxx.

## Constructor & Destructor Documentation

gdcm::FileMetaInformation::FileMetaInformation | ( |  | ) |

inline

gdcm::FileMetaInformation::~FileMetaInformation | ( |  | ) |

inline

gdcm::FileMetaInformation::FileMetaInformation | ( | FileMetaInformation const & | fmi | ) |

inline

References DataSetMS, DataSetTS, and MetaInformationTS.

## Member Function Documentation

static void gdcm::FileMetaInformation::AppendImplementationClassUID | ( | const char * | imp | ) |

static

void gdcm::FileMetaInformation::ComputeDataSetMediaStorageSOPClass | ( |  | ) |

protected

void gdcm::FileMetaInformation::ComputeDataSetTransferSyntax | ( |  | ) |

protected

void gdcm::FileMetaInformation::Default | ( |  | ) |

protected

void gdcm::FileMetaInformation::FillFromDataSet | ( | DataSet const & | ds | ) |

Construct a FileMetaInformation from an already existing DataSet:

const TransferSyntax& gdcm::FileMetaInformation::GetDataSetTransferSyntax | ( |  | ) | const

inline

Examples:
  GetJPEGSamplePrecision.cxx, and MergeTwoFiles.cxx.

static const char* gdcm::FileMetaInformation::GetFileMetaInformationVersion | ( |  | ) |

staticprotected

VL gdcm::FileMetaInformation::GetFullLength | ( |  | ) | const

inline

References gdcm::VL::GetLength().

static const char* gdcm::FileMetaInformation::GetGDCMImplementationClassUID | ( |  | ) |

staticprotected

static const char* gdcm::FileMetaInformation::GetGDCMImplementationVersionName | ( |  | ) |

staticprotected

static const char* gdcm::FileMetaInformation::GetGDCMSourceApplicationEntityTitle | ( |  | ) |

staticprotected

static const char* gdcm::FileMetaInformation::GetImplementationClassUID | ( |  | ) |

static

static const char* gdcm::FileMetaInformation::GetImplementationVersionName | ( |  | ) |

static

MediaStorage gdcm::FileMetaInformation::GetMediaStorage | ( |  | ) | const

TransferSyntax::NegociatedType gdcm::FileMetaInformation::GetMetaInformationTS | ( |  | ) | const

inline

const Preamble& gdcm::FileMetaInformation::GetPreamble | ( |  | ) | const

inline

Get Preamble.

Referenced by gdcm::operator<<().

Preamble& gdcm::FileMetaInformation::GetPreamble | ( |  | ) |

inline

static const char* gdcm::FileMetaInformation::GetSourceApplicationEntityTitle | ( |  | ) |

static

void gdcm::FileMetaInformation::Insert | ( | const DataElement & | de | ) |

inline

References gdcmErrorMacro, gdcm::Tag::GetGroup(), and gdcm::DataElement::GetTag().

bool gdcm::FileMetaInformation::IsValid | ( |  | ) | const

inline

std::istream& gdcm::FileMetaInformation::Read | ( | std::istream & | is | ) |

Read.

std::istream& gdcm::FileMetaInformation::ReadCompat | ( | std::istream & | is | ) |

template<typename TSwap >

std::istream& gdcm::FileMetaInformation::ReadCompatInternal | ( | std::istream & | is | ) |

protected

void gdcm::FileMetaInformation::Replace | ( | const DataElement & | de | ) |

inline

Examples:
  LargeVRDSExplicit.cxx.

References gdcm::DataElement::GetTag().

void gdcm::FileMetaInformation::SetDataSetTransferSyntax | ( | const TransferSyntax & | ts | ) |

Examples:
  CreateJPIPDataSet.cxx, EncapsulateFileInRawData.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, FixJAIBugJPEGLS.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, LargeVRDSExplicit.cxx, pmsct_rgb1.cxx, rle2img.cxx, and StreamImageReaderTest.cxx.

static void gdcm::FileMetaInformation::SetImplementationClassUID | ( | const char * | imp | ) |

static

Override the GDCM default values:

static void gdcm::FileMetaInformation::SetImplementationVersionName | ( | const char * | version | ) |

static

void gdcm::FileMetaInformation::SetPreamble | ( | const Preamble & | p | ) |

inline

static void gdcm::FileMetaInformation::SetSourceApplicationEntityTitle | ( | const char * | title | ) |

static

Examples:
  FixJAIBugJPEGLS.cxx.

std::ostream& gdcm::FileMetaInformation::Write | ( | std::ostream & | os | ) | const

Write.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const FileMetaInformation & | _val
| ) |  |

friend

## Member Data Documentation

MediaStorage::MSType gdcm::FileMetaInformation::DataSetMS

protected

Referenced by FileMetaInformation().

TransferSyntax gdcm::FileMetaInformation::DataSetTS

protected

Referenced by FileMetaInformation().

TransferSyntax::NegociatedType gdcm::FileMetaInformation::MetaInformationTS

protected

Referenced by FileMetaInformation().

The documentation for this class was generated from the following file:

- gdcmFileMetaInformation.h